[package]
name = "vade"
version = "0.1.1"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
sea-orm = { version = "0.5.0", features = [ "sqlx-sqlite", "runtime-actix-rustls", "macros", "mock"], default-features = false }
tracing = "0.1.30"
tracing-unwrap = "0.9.2"
tracing-subscriber = { version = "0.3.8", features = ["fmt"] }
actix = "0.12.0"
actix-cors = "0.6.0-beta.10"
actix-web-actors = "4.0.0-beta.6"
chrono = { version = "0.4.19", features = ["serde"] }
serde = { version = "1.0.136", features= [ "derive" ] }
serde_json = "1.0.78"
actix-web = { version = "4.0.0-rc.2", features = ["rustls"] }
actix-rt = "2.6.0"
tracing-test = "0.2.1"
tracing-actix-web = "0.5.0-rc.1"
rust-embed= { version="5.9.0", features = ["actix"] }
mime_guess = "2.0.3"
bcrypt = "0.10.1"
actix-web-httpauth = "0.6.0-beta.7"
jsonwebtoken = "8.0.1"
rand = "0.8.4"
tokio = { version = "1.16.1", features=["full"] }
base64 = "0.13.0"
sqlx = { version = "^0.5", features=["sqlite", "migrate"] }
reqwest = { version = "0.11.9", features = ["rustls-tls"], default-features=false }
clap = { version = "3.0.14", features=["cargo", "env"] }


[target.'cfg(all(target_env = "musl", target_pointer_width = "64"))'.dependencies.jemallocator]
version = "0.3"
